#include "sort.h"

struct dlist *insertion_sort(struct dlist *l)
{
    //FIXME
}

void split(struct list *l, struct list **list_l, struct list **list_r)
{
    //FIXME
}

struct list *merge(struct list *left, struct list *right)
{
    //FIXME
}

struct list *merge_sort(struct list *l)
{
    //FIXME
}
